Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Class HtmlTemplateOutput

    java.lang.Object
      org.jbehave.core.reporters.TemplateableOutput
          org.jbehave.core.reporters.HtmlTemplateOutput

All Implemented Interfaces:
  StoryReporter

    public class HtmlTemplateOutput

extends TemplateableOutput

A templateable output that generates HTML. By default it uses `FreemarkerProcessor` and template path ftl/jbehave-html-output.ftl, but custom processors based on other templating systems can be provided and/or other template paths can be configured.

Nested Class Summary

Nested classes/interfaces inherited from class org.jbehave.core.reporters.TemplateableOutput
`TemplateableOutput.OutputKeywords, TemplateableOutput.OutputMeta, TemplateableOutput.OutputNarrative, TemplateableOutput.OutputParameter, TemplateableOutput.OutputRestart, TemplateableOutput.OutputScenario, TemplateableOutput.OutputStep, TemplateableOutput.OutputStory`

Constructor Summary
`HtmlTemplateOutput(File file, Keywords keywords)`
`HtmlTemplateOutput(File file, Keywords keywords, TemplateProcessor processor, String templatePath)`

Method Summary

Methods inherited from class org.jbehave.core.reporters.TemplateableOutput
`afterExamples, afterScenario, afterStory, beforeExamples, beforeScenario, beforeStep, beforeStory, dryRun, example, failed, failedOutcomes, givenStories, givenStories, ignorable, narrative, notPerformed, pending, pendingMethods, restarted, scenarioMeta, scenarioNotAllowed, storyCancelled, storyNotAllowed, successful`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlTemplateOutput

    public HtmlTemplateOutput(File file,
                              Keywords keywords)

### HtmlTemplateOutput

    public HtmlTemplateOutput(File file,
                              Keywords keywords,
                              TemplateProcessor processor,
                              String templatePath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.